=== debian/changelog ===
adapterremoval (2.3.3-2) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 26 Nov 2022 07:50:58 +0100

adapterremoval (2.3.3-1) unstable; urgency=medium

  * No patches needed in new upstream version any more
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 15 Apr 2022 15:44:21 +0200

adapterremoval (2.3.2-2) unstable; urgency=medium

  [ Steve Langasek ]
  * Import catch2 version 2.13.8 to fix build failure with glibc 2.34
    Closes: #1009616

 -- Andreas Tille <tille@debian.org>  Wed, 13 Apr 2022 11:23:03 +0200
