=== debian/control ===
Source: adapterremoval
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Kevin Murray <kdmfoss@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               zlib1g-dev,
               libbz2-dev,
               libgtest-dev,
               markdown
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/adapterremoval
Vcs-Git: https://salsa.debian.org/med-team/adapterremoval.git
Homepage: https://github.com/MikkelSchubert/adapterremoval
Rules-Requires-Root: no

Package: adapterremoval
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: rapid adapter trimming, identification, and read merging of gene sequences
 This program searches for and removes remnant adapter sequences from High-
 Throughput Sequencing (HTS) data and (optionally) trims low quality
 bases from the 3' end of reads following adapter removal. AdapterRemoval
 can analyze both single end and paired end data, and can be used to
 merge overlapping paired-ended reads into (longer) consensus sequences.
 Additionally, the AdapterRemoval may be used to recover a consensus
 adapter sequence for paired-ended data, for which this information is
 not available.

Package: adapterremoval-examples
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: rapid adapter trimming, identification, and read merging (example data)
 This program searches for and removes remnant adapter sequences from High-
 Throughput Sequencing (HTS) data and (optionally) trims low quality
 bases from the 3' end of reads following adapter removal. AdapterRemoval
 can analyze both single end and paired end data, and can be used to
 merge overlapping paired-ended reads into (longer) consensus sequences.
 Additionally, the AdapterRemoval may be used to recover a consensus
 adapter sequence for paired-ended data, for which this information is
 not available.
 .
 This package provides the example data.

#Package: adapter-benchmark
#Architecture: all
#Depends: ${misc:Depends},
#         python3,
#         adapterremoval,
#         cutadapt,
#         ea-utils,
#         flexbar,
#         scythe,
#         trimmomatic
#Suggests: pirs
#Description: benchmarking trimming adapters gene sequences
# The program adapterremoval contains a benchmarking suite for differen
# programs fullfilling a similar purpose to searche for and remove
# remnant adapter sequences from High-Throughput Sequencing (HTS) data
# and trims low quality bases from the 3' end of reads following adapter
# removal.
# .
# This package provides the test suite adapted to the use with all
# Debian packaged programs which are: adapterremoval, cutadapt, flexbar,
# scythe and trimmomatic.
