## adapterremoval 2.3.4

=== Makefile ===
--- 
+++ 
@@ -94,7 +94,7 @@
 DFILES   := $(OBJS:.o=.deps)
 
 
-.PHONY: all install clean test clean_tests static regression docs
+.PHONY: all install clean test clean_tests static regression docs examples
 
 all: build/$(PROG)
 
@@ -106,25 +106,30 @@
 	$(QUIET) rm -f build/$(PROG) build/$(LIBNAME).a
 	$(QUIET) rm -rvf build/regression
 	$(QUIET) rm -rvf $(BDIR)
+	$(QUIET) $(MAKE) -C examples clean
+
+examples: $(EXECUTABLE)
+	@echo $(COLOR_GREEN)"Running examples"$(COLOR_END)
+	$(QUIET) $(MAKE) -j1 -C examples EXE=$(shell realpath $(EXECUTABLE))
 
 # Install
 install: build/$(PROG)
 	@echo $(COLOR_GREEN)"Installing AdapterRemoval .."$(COLOR_END)
-	@echo $(COLOR_GREEN)"  .. binary into ${PREFIX}/bin/"$(COLOR_END)
-	$(QUIET) $(MKDIR) ${PREFIX}/bin/
-	$(QUIET) $(INSTALLEXE) build/$(PROG) ${PREFIX}/bin/
-
-	@echo $(COLOR_GREEN)"  .. man-page into ${PREFIX}/share/man/man1/"$(COLOR_END)
-	$(QUIET) $(MKDIR) ${PREFIX}/share/man/man1/
-	$(QUIET) $(INSTALLDOC) $(PROG).1 ${PREFIX}/share/man/man1/
-
-	@echo $(COLOR_GREEN)"  .. README into ${PREFIX}/share/adapterremoval/"$(COLOR_END)
-	$(QUIET) $(MKDIR) ${PREFIX}/share/adapterremoval/
-	$(QUIET) $(INSTALLDOC) README.md ${PREFIX}/share/adapterremoval/
-
-	@echo $(COLOR_GREEN)"  .. examples into ${PREFIX}/share/adapterremoval/examples/"$(COLOR_END)
-	$(QUIET) $(MKDIR) ${PREFIX}/share/adapterremoval/examples/
-	$(QUIET) $(INSTALLDAT) examples/*.* ${PREFIX}/share/adapterremoval/examples/
+	@echo $(COLOR_GREEN)"  .. binary into $(DESTDIR)${PREFIX}/bin/"$(COLOR_END)
+	$(QUIET) $(MKDIR) $(DESTDIR)${PREFIX}/bin/
+	$(QUIET) $(INSTALLEXE) build/$(PROG) $(DESTDIR)${PREFIX}/bin/
+
+	@echo $(COLOR_GREEN)"  .. man-page into $(DESTDIR)${PREFIX}/share/man/man1/"$(COLOR_END)
+	$(QUIET) $(MKDIR) $(DESTDIR)${PREFIX}/share/man/man1/
+	$(QUIET) $(INSTALLDOC) $(PROG).1 $(DESTDIR)${PREFIX}/share/man/man1/
+
+	@echo $(COLOR_GREEN)"  .. README into $(DESTDIR)${PREFIX}/share/adapterremoval/"$(COLOR_END)
+	$(QUIET) $(MKDIR) $(DESTDIR)${PREFIX}/share/adapterremoval/
+	$(QUIET) $(INSTALLDOC) README.md $(DESTDIR)${PREFIX}/share/adapterremoval/
+
+	@echo $(COLOR_GREEN)"  .. examples into $(DESTDIR)${PREFIX}/share/adapterremoval/examples/"$(COLOR_END)
+	$(QUIET) $(MKDIR) $(DESTDIR)${PREFIX}/share/adapterremoval/examples/
+	$(QUIET) $(INSTALLDAT) examples/*.* $(DESTDIR)${PREFIX}/share/adapterremoval/examples/
 
 static: build/$(LIBNAME).a
