=== debian/changelog ===
adapterremoval (2.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3.4
  * d/control: declare compliance to standards version 4.7.2.
  * d/copyright: adjust Expat covered file name.
  * privacy-breaches.patch: new: prevent privacy breaches.

 -- Étienne Mollier <emollier@debian.org>  Sat, 01 Mar 2025 13:19:26 +0100

adapterremoval (2.3.3-3) unstable; urgency=medium

  * Team upload
  * Build-depend on discount instead of markdown (Closes: #1073089)
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 13 Jun 2024 08:42:43 +0900
