=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                zlib1g-dev,
                libbz2-dev,
                libgtest-dev,
-               markdown
-Standards-Version: 4.6.1
+               discount
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/adapterremoval
 Vcs-Git: https://salsa.debian.org/med-team/adapterremoval.git
 Homepage: https://github.com/MikkelSchubert/adapterremoval
