=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	markdown README.md > README.html

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# dh_auto_test
	make test
	make clean_tests
endif

override_dh_auto_install:
	make PREFIX=$(CURDIR)/debian/$(DEB_SOURCE)/usr
	# Hmmm, this does nothing ...

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.md

override_dh_fixperms:
	dh_fixperms
	find debian -name benchmark.sh -exec chmod +x \{\} \;
